export default class toApp {


    formKind_A1() {
        let formKind_A1 = XRW.mkForm({ FID: 'formKind_A1', ynCreateFolder: 'N', folder: this.folder, ynCreateRender: 'Y', renderType: 'Form', pageX: 25, minPixelPerPoint: 20, anchor: 'grForm' });
        formKind_A1.setFEG('Kind_A1',
            { FE_Prefix: 'HTML', FE_Title: '__Key_HTML_0', FGM_Format: 'dX1,W23,Vitem,N', html: '<h2>Name des Kindes</h2>', ynSkipSave: 'Y', ynfOptional: 'Y' },
            { FE_Prefix: 'GenericString', FGM_Key: 'CHLD_FirstName', FE_Title: 'Vorname', FGM_Format: 'dX1,W11,Vitem', FGM_TPos: 8 },
            { FE_Prefix: 'GenericString', FGM_Key: 'CHLD_LastName', FE_Title: 'Nachname', FGM_Format: 'dX1,W11,Vitem,N', FGM_TPos: 8 },
            { FE_Prefix: 'GenericCheck', FGM_Key: 'ynGeschwisterkind', FE_Title: 'Check', ynReadOnly: 'Y', ynfOptional: 'Y', defaultValue: 'N' },
        );
        formKind_A1.setSection("S1", { FEG_Prefix: "Kind_A1", FEG_Title: "Daten des Kindes", ynVolatile: 'Y' });
        return formKind_A1;
    }
    formIntro() {
        let formIntro = XRW.mkForm({ FID: 'formIntro', ynCreateFolder: 'N', folder: this.folder, ynCreateRender: 'Y', renderType: 'Form', pageX: 25, minPixelPerPoint: 20, anchor: 'grForm' });
        formIntro.setFEG('Intro',
            {
                FE_Prefix: 'HTML', FE_Title: 'HTML-Text', FGM_Format: 'dX1,W23,Vitem,N', html: `<p>Sehr geehrte Antragstellende,<br>vielen Dank f&uuml;r die Bezahlung der Geb&uuml;hren zur Teilnahme an den Ferienspielen der Gemeinde Sulzbach (Taunus) in 2024.</p>
        <p>Im Folgenden werden Sie zur Angabe der finalen Informationen zu Ihrem Kind aufgefordert.</p>
        <p>Ihre Pl&auml;tze sind hiermit gebucht und verbindlich hinterlegt.<br>Bitte beachten Sie, dass Sie je Kind eine separate Email erhalten.</p>`, ynSkipSave: 'Y', ynfOptional: 'Y'
            },
            { FE_Prefix: 'HTML', FE_Title: 'HTML-Text', FGM_Format: 'dX1,W23,Vitem,N', SEautoValue: `'<h3>Zu Ihrer Information</h3><br><a href="https://www.sulzbach-taunus.de/datenschutz" target="_blank" rel="noopener noreferrer">Datenschutzhinweis der Gemeinde Sulzbach (Taunus)</a>'`, ynSkipSave: 'Y', ynfOptional: 'Y' },
        );
        formIntro.setSection("S1", { FEG_Prefix: "Intro", FEG_Title: "undefined", ynVolatile: 'Y' });
        return formIntro;
    }
    formKind_A3() {
        let formKind_A3 = XRW.mkForm({ FID: 'formKind_A3', ynCreateFolder: 'N', folder: this.folder, ynCreateRender: 'Y', renderType: 'Form', pageX: 25, minPixelPerPoint: 20, anchor: 'grForm' });
        formKind_A3.setFEG('Kind_A3',
            { FE_Prefix: 'HTML', FE_Title: '__Key_HTML_3', FGM_Format: 'dX1,W11,Vitem', html: '<b>Geben Sie das Geburtsdatum des Kindes an:</b>', ynSkipSave: 'Y', ynfOptional: 'Y' },
            { FE_Prefix: 'GenericString', FGM_Key: 'CHLD_FirstName', FE_Title: 'Vornamen', SEautoValue: '$value("Kind_A1")', ynReadOnly: 'Y' },
            { FE_Prefix: 'GenericString', FGM_Key: 'CHLD_LastName', FE_Title: 'Familienname', SEautoValue: '$value("Kind_A1")', ynReadOnly: 'Y' },
            { FE_Prefix: 'GenericDate', FGM_Key: 'DOB', FE_Title: 'Geburtsdatum', FGM_Format: 'dX1,W2,Vitem,N' },
            { FE_Prefix: 'GenericYN', FGM_Key: 'ynTeilnahmeZuvor', FE_Title: 'Mein Kind hat bereits in früheren Jahren bei den Ferienspielen teilgenommen:', FGM_Format: 'dX1,W5,Vitem,N', select: ['Ja', 'Nein'], values: ['Y', 'N'], placeholder: 'Bitte Auswählen' },
        );
        formKind_A3.setSection("S1", { FEG_Prefix: "Kind_A3", FEG_Title: "undefined", ynVolatile: 'Y' });
        return formKind_A3;
    }
    async Start() {
        this.folder = XRW.mkFolder();
        this.formKind_A1();
        await XRW.windowResizeCallBack();
    }
}
globalThis.oApp = new toApp();
